1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

WRT55AGv2 firmware wrong version to Upgrade?

Discussion in 'Linksys Official Firmware' started by vincent20965, Mar 8, 2006.

  1. vincent20965

    vincent20965 Guest

    Hi all ,

    I'm triying to upgrade my brandnew WRT55AGv2 router from version 1.30 to 1.67.
    I downloaded the firmware file from the linksys web site called WRT55AGv2_11092005_v1.67.fim.
    When I try to upgrade the router breacks the upgrade and dusplays the error : Wrong firmware to upgrade

    some one who knows how to solve this? do i nee to upgrade first to 1.40? and if yes where to download?

    Many thanks
  2. kaskinha

    kaskinha LI Guru Member

    I don't think so,
    but maybe u can find firmware on
  3. pigsy

    pigsy Network Guru Member

    Im guessing that you are not in the USA. I had the same issue, but EU or international units cannot be flashed with US firmware. Current version of EU firmware is 1.30 october, rather than 1.30 march. If you go to the linksys website you need to change the country setting in the top left hand corner of the screen in order for the site to direct you to the correct firmware. Hope this helps

Share This Page